Package groovy.json.internal

# Class JsonStringDecoder

java.lang.Object
groovy.json.internal.JsonStringDecoder

public class JsonStringDecoder extends Object

Author:
  Richard Hightower

## Constructor Summary

Constructors
Constructor
Description
`JsonStringDecoder()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`decode(char[] chars, int start, int to)`
`static String`
`decodeForSure(char[] chars, int start, int to)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsonStringDecoder

public JsonStringDecoder()

## Method Details

### decode

public static String decode(char[] chars, int start, int to)

### decodeForSure

public static String decodeForSure(char[] chars, int start, int to)